Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | PROPERTY | METHOD | DETAIL: ENUM CONSTANTSFIELD | PROPERTY | METHOD

## groovy.inspect.swingui
[Groovy] Enum CompilePhaseAdapter

    java.lang.Object
      java.lang.Enum
          groovy.inspect.swingui.CompilePhaseAdapter

    enum CompilePhaseAdapter
    extends Enum

An adapter for the CompilePhase enum that can be entered into a Swing combobox.

Authors:
  Hamlet D'Arcy

Property Summary
`int` | `phaseId`
`String` | `string`

Constructor Summary
`CompilePhaseAdapter(def phaseId, def string)`

Method Summary
`String` | `toString()`

Methods inherited from class Enum
name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### phaseId

    final int phaseId

### string

    final String string

Constructor Detail

### CompilePhaseAdapter

    CompilePhaseAdapter(def phaseId, def string)

Method Detail

### toString

    String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.